sum1(3)

NAME
sum1 - sum1: sum | x_i | (in LAPACK)

SYNOPSIS

  Functions

double precision function dzsum1 (n, cx, incx)
DZSUM1 forms the 1-norm of the complex vector using the true absolute value.
real function scsum1 (n, cx, incx)
SCSUM1 forms the 1-norm of the complex vector using the true absolute value.

Detailed Description

Function Documentation

  double precision function dzsum1 (integer n, complex*16, dimension( * ) cx, integer incx)

DZSUM1 forms the 1-norm of the complex vector using the true absolute value.

Purpose:

    !>
    !> DZSUM1 takes the sum of the absolute values of a complex
    !> vector and returns a double precision result.
    !>
    !> Based on DZASUM from the Level 1 BLAS.
    !> The change is to use the 'genuine' absolute value.
    !>

Parameters
    N

    !>          N is INTEGER
    !>          The number of elements in the vector CX.
    !>

    CX

    !>          CX is COMPLEX*16 array, dimension (N)
    !>          The vector whose elements will be summed.
    !>

    INCX

    !>          INCX is INTEGER
    !>          The spacing between successive values of CX.  INCX > 0.
    !>

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Contributors:
    Nick Higham for use with ZLACON.

  real function scsum1 (integer n, complex, dimension( * ) cx, integer incx)

SCSUM1 forms the 1-norm of the complex vector using the true absolute value.

Purpose:

    !>
    !> SCSUM1 takes the sum of the absolute values of a complex
    !> vector and returns a single precision result.
    !>
    !> Based on SCASUM from the Level 1 BLAS.
    !> The change is to use the 'genuine' absolute value.
    !>

Parameters
    N

    !>          N is INTEGER
    !>          The number of elements in the vector CX.
    !>

    CX

    !>          CX is COMPLEX array, dimension (N)
    !>          The vector whose elements will be summed.
    !>

    INCX

    !>          INCX is INTEGER
    !>          The spacing between successive values of CX.  INCX > 0.
    !>

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Contributors:
    Nick Higham for use with CLACON.

Author

Generated automatically by Doxygen for LAPACK from the source code.